Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 13333)
@@ -51,24 +51,11 @@
       this.localPluginsTabPage = new System.Windows.Forms.TabPage();
       this.localPluginsView = new HeuristicLab.PluginInfrastructure.Advanced.InstalledPluginsView();
-      this.availablePluginsTabPage = new System.Windows.Forms.TabPage();
-      this.remotePluginInstaller = new HeuristicLab.PluginInfrastructure.Advanced.AvailablePluginsView();
-      this.uploadPluginsTabPage = new System.Windows.Forms.TabPage();
-      this.pluginEditor = new HeuristicLab.PluginInfrastructure.Advanced.UploadPluginsView();
-      this.manageProductsTabPage = new System.Windows.Forms.TabPage();
-      this.productEditor = new HeuristicLab.PluginInfrastructure.Advanced.EditProductsView();
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logTextBox = new System.Windows.Forms.TextBox();
-      this.menuStrip = new System.Windows.Forms.MenuStrip();
-      this.optionsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.connectionSettingsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       this.statusStrip.SuspendLayout();
       this.tabControl.SuspendLayout();
       this.localPluginsTabPage.SuspendLayout();
-      this.availablePluginsTabPage.SuspendLayout();
-      this.uploadPluginsTabPage.SuspendLayout();
-      this.manageProductsTabPage.SuspendLayout();
       this.logTabPage.SuspendLayout();
-      this.menuStrip.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -102,7 +89,4 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.localPluginsTabPage);
-      this.tabControl.Controls.Add(this.availablePluginsTabPage);
-      this.tabControl.Controls.Add(this.uploadPluginsTabPage);
-      this.tabControl.Controls.Add(this.manageProductsTabPage);
       this.tabControl.Controls.Add(this.logTabPage);
       this.tabControl.Location = new System.Drawing.Point(12, 27);
@@ -130,5 +114,5 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.localPluginsView.InstallationManager = null;
+//       this.localPluginsView.InstallationManager = null;
       this.localPluginsView.Location = new System.Drawing.Point(6, 6);
       this.localPluginsView.Name = "localPluginsView";
@@ -137,76 +121,4 @@
       this.localPluginsView.StatusView = null;
       this.localPluginsView.TabIndex = 0;
-      // 
-      // availablePluginsTabPage
-      // 
-      this.availablePluginsTabPage.Controls.Add(this.remotePluginInstaller);
-      this.availablePluginsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.availablePluginsTabPage.Name = "availablePluginsTabPage";
-      this.availablePluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.availablePluginsTabPage.Size = new System.Drawing.Size(590, 366);
-      this.availablePluginsTabPage.TabIndex = 1;
-      this.availablePluginsTabPage.Text = "Available Plugins";
-      this.toolTip.SetToolTip(this.availablePluginsTabPage, "Download and install new plugins");
-      this.availablePluginsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // remotePluginInstaller
-      // 
-      this.remotePluginInstaller.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.remotePluginInstaller.InstallationManager = null;
-      this.remotePluginInstaller.Location = new System.Drawing.Point(6, 6);
-      this.remotePluginInstaller.Name = "remotePluginInstaller";
-      this.remotePluginInstaller.PluginManager = null;
-      this.remotePluginInstaller.Size = new System.Drawing.Size(578, 354);
-      this.remotePluginInstaller.StatusView = null;
-      this.remotePluginInstaller.TabIndex = 14;
-      // 
-      // uploadPluginsTabPage
-      // 
-      this.uploadPluginsTabPage.Controls.Add(this.pluginEditor);
-      this.uploadPluginsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.uploadPluginsTabPage.Name = "uploadPluginsTabPage";
-      this.uploadPluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.uploadPluginsTabPage.Size = new System.Drawing.Size(590, 366);
-      this.uploadPluginsTabPage.TabIndex = 3;
-      this.uploadPluginsTabPage.Text = "Upload Plugins";
-      this.toolTip.SetToolTip(this.uploadPluginsTabPage, "Upload plugins");
-      this.uploadPluginsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // pluginEditor
-      // 
-      this.pluginEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.pluginEditor.Location = new System.Drawing.Point(6, 6);
-      this.pluginEditor.Name = "pluginEditor";
-      this.pluginEditor.PluginManager = null;
-      this.pluginEditor.Size = new System.Drawing.Size(578, 354);
-      this.pluginEditor.StatusView = null;
-      this.pluginEditor.TabIndex = 0;
-      // 
-      // manageProductsTabPage
-      // 
-      this.manageProductsTabPage.Controls.Add(this.productEditor);
-      this.manageProductsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.manageProductsTabPage.Name = "manageProductsTabPage";
-      this.manageProductsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.manageProductsTabPage.Size = new System.Drawing.Size(590, 366);
-      this.manageProductsTabPage.TabIndex = 4;
-      this.manageProductsTabPage.Text = "Manage Products";
-      this.toolTip.SetToolTip(this.manageProductsTabPage, "Create and manage products");
-      this.manageProductsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // productEditor
-      // 
-      this.productEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.productEditor.Location = new System.Drawing.Point(6, 6);
-      this.productEditor.Name = "productEditor";
-      this.productEditor.Size = new System.Drawing.Size(578, 354);
-      this.productEditor.StatusView = null;
-      this.productEditor.TabIndex = 0;
       // 
       // logTabPage
@@ -234,30 +146,4 @@
       this.logTextBox.TabIndex = 0;
       // 
-      // menuStrip
-      // 
-      this.menuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.optionsToolStripMenuItem});
-      this.menuStrip.Location = new System.Drawing.Point(0, 0);
-      this.menuStrip.Name = "menuStrip";
-      this.menuStrip.Size = new System.Drawing.Size(622, 24);
-      this.menuStrip.TabIndex = 17;
-      this.menuStrip.Text = "menuStrip1";
-      // 
-      // optionsToolStripMenuItem
-      // 
-      this.optionsToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.connectionSettingsToolStripMenuItem});
-      this.optionsToolStripMenuItem.Name = "optionsToolStripMenuItem";
-      this.optionsToolStripMenuItem.Size = new System.Drawing.Size(61, 20);
-      this.optionsToolStripMenuItem.Text = "Options";
-      // 
-      // connectionSettingsToolStripMenuItem
-      // 
-      this.connectionSettingsToolStripMenuItem.Image = global::HeuristicLab.PluginInfrastructure.Resources.NetworkConnections;
-      this.connectionSettingsToolStripMenuItem.Name = "connectionSettingsToolStripMenuItem";
-      this.connectionSettingsToolStripMenuItem.Size = new System.Drawing.Size(190, 22);
-      this.connectionSettingsToolStripMenuItem.Text = "Connection Settings...";
-      this.connectionSettingsToolStripMenuItem.Click += new System.EventHandler(this.connectionSettingsToolStripMenuItem_Click);
-      // 
       // InstallationManagerForm
       // 
@@ -267,7 +153,5 @@
       this.Controls.Add(this.tabControl);
       this.Controls.Add(this.statusStrip);
-      this.Controls.Add(this.menuStrip);
       this.Icon = global::HeuristicLab.PluginInfrastructure.Resources.HeuristicLab;
-      this.MainMenuStrip = this.menuStrip;
       this.Name = "InstallationManagerForm";
       this.Text = "Plugin Manager";
@@ -276,11 +160,6 @@
       this.tabControl.ResumeLayout(false);
       this.localPluginsTabPage.ResumeLayout(false);
-      this.availablePluginsTabPage.ResumeLayout(false);
-      this.uploadPluginsTabPage.ResumeLayout(false);
-      this.manageProductsTabPage.ResumeLayout(false);
       this.logTabPage.ResumeLayout(false);
       this.logTabPage.PerformLayout();
-      this.menuStrip.ResumeLayout(false);
-      this.menuStrip.PerformLayout();
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -293,17 +172,8 @@
     private System.Windows.Forms.ToolStripProgressBar toolStripProgressBar;
     private System.Windows.Forms.ToolStripStatusLabel toolStripStatusLabel;
-    private AvailablePluginsView remotePluginInstaller;
     private System.Windows.Forms.TabControl tabControl;
     private System.Windows.Forms.TabPage localPluginsTabPage;
-    private System.Windows.Forms.TabPage availablePluginsTabPage;
     private System.Windows.Forms.TabPage logTabPage;
     private System.Windows.Forms.TextBox logTextBox;
-    private System.Windows.Forms.MenuStrip menuStrip;
-    private System.Windows.Forms.ToolStripMenuItem optionsToolStripMenuItem;
-    private System.Windows.Forms.ToolStripMenuItem connectionSettingsToolStripMenuItem;
-    private System.Windows.Forms.TabPage uploadPluginsTabPage;
-    private System.Windows.Forms.TabPage manageProductsTabPage;
-    private UploadPluginsView pluginEditor;
-    private EditProductsView productEditor;
     private InstalledPluginsView localPluginsView;
     private System.Windows.Forms.ToolTip toolTip;
Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 13333)
@@ -30,5 +30,4 @@
 namespace HeuristicLab.PluginInfrastructure.Advanced {
   internal partial class InstallationManagerForm : Form, IStatusView {
-    private InstallationManager installationManager;
     private string pluginDir;
 
@@ -45,32 +44,7 @@
       pluginDir = Application.StartupPath;
 
-      installationManager = new InstallationManager(pluginDir);
-      installationManager.PluginInstalled += new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginInstalled);
-      installationManager.PluginRemoved += new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginRemoved);
-      installationManager.PluginUpdated += new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginUpdated);
-      installationManager.PreInstallPlugin += new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreInstallPlugin);
-      installationManager.PreRemovePlugin += new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreRemovePlugin);
-      installationManager.PreUpdatePlugin += new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreUpdatePlugin);
-
-      // show or hide controls for uploading plugins based on setting
-      if (!HeuristicLab.PluginInfrastructure.Properties.Settings.Default.ShowPluginUploadControls) {
-        tabControl.Controls.Remove(uploadPluginsTabPage);
-        tabControl.Controls.Remove(manageProductsTabPage);
-      } else {
-        pluginEditor.PluginManager = pluginManager;
-      }
-
       localPluginsView.StatusView = this;
       localPluginsView.PluginManager = pluginManager;
-      localPluginsView.InstallationManager = installationManager;
-
-      remotePluginInstaller.StatusView = this;
-      remotePluginInstaller.InstallationManager = installationManager;
-      remotePluginInstaller.PluginManager = pluginManager;
-
-      pluginEditor.StatusView = this;
-      pluginEditor.PluginManager = pluginManager;
-
-      productEditor.StatusView = this;
+      // localPluginsView.InstallationManager = installationManager;
     }
 
@@ -94,88 +68,9 @@
     #endregion
 
-    #region installation manager event handlers
-    private void installationManager_PreUpdatePlugin(object sender, PluginInfrastructureCancelEventArgs e) {
-      if (e.Plugins.Count() > 0) {
-        e.Cancel = (bool)Invoke((Func<IEnumerable<IPluginDescription>, bool>)ConfirmUpdateAction, e.Plugins) == false;
-      }
-    }
-
-    private void installationManager_PreRemovePlugin(object sender, PluginInfrastructureCancelEventArgs e) {
-      if (e.Plugins.Count() > 0) {
-        e.Cancel = (bool)Invoke((Func<IEnumerable<IPluginDescription>, bool>)ConfirmRemoveAction, e.Plugins) == false;
-      }
-    }
-
-    private void installationManager_PreInstallPlugin(object sender, PluginInfrastructureCancelEventArgs e) {
-      if (e.Plugins.Count() > 0)
-        if ((bool)Invoke((Func<IEnumerable<IPluginDescription>, bool>)ConfirmInstallAction, e.Plugins) == true) {
-          SetStatusStrip("Installing " + e.Plugins.Aggregate("", (a, b) => a.ToString() + "; " + b.ToString()));
-          e.Cancel = false;
-        } else {
-          e.Cancel = true;
-          SetStatusStrip("Install canceled");
-        }
-    }
-
-    private void installationManager_PluginUpdated(object sender, PluginInfrastructureEventArgs e) {
-      SetStatusStrip("Updated " + e.Entity);
-    }
-
-    private void installationManager_PluginRemoved(object sender, PluginInfrastructureEventArgs e) {
-      SetStatusStrip("Removed " + e.Entity);
-    }
-
-    private void installationManager_PluginInstalled(object sender, PluginInfrastructureEventArgs e) {
-      SetStatusStrip("Installed " + e.Entity);
-    }
-    #endregion
 
     #region button events
-    private void connectionSettingsToolStripMenuItem_Click(object sender, EventArgs e) {
-      using (var conSetupView = new ConnectionSetupView()) {
-        conSetupView.ShowDialog(this);
-      }
-    }
     private void tabControl_SelectedIndexChanged(object sender, EventArgs e) {
       toolStripStatusLabel.Text = string.Empty;
     }
-    #endregion
-
-    #region confirmation dialogs
-    private bool ConfirmRemoveAction(IEnumerable<IPluginDescription> plugins) {
-      StringBuilder strBuilder = new StringBuilder();
-      foreach (var plugin in plugins) {
-        foreach (var file in plugin.Files) {
-          strBuilder.AppendLine(Path.GetFileName(file.Name));
-        }
-      }
-      using (var confirmationDialog = new ConfirmationDialog("Confirm Delete", "Do you want to delete following files?", strBuilder.ToString())) {
-        return (confirmationDialog.ShowDialog(this)) == DialogResult.OK;
-      }
-    }
-
-    private bool ConfirmUpdateAction(IEnumerable<IPluginDescription> plugins) {
-      StringBuilder strBuilder = new StringBuilder();
-      foreach (var plugin in plugins) {
-        strBuilder.AppendLine(plugin.ToString());
-      }
-      using (var confirmationDialog = new ConfirmationDialog("Confirm Update", "Do you want to update following plugins?", strBuilder.ToString())) {
-        return (confirmationDialog.ShowDialog(this)) == DialogResult.OK;
-      }
-    }
-
-    private bool ConfirmInstallAction(IEnumerable<IPluginDescription> plugins) {
-      foreach (var plugin in plugins) {
-        if (!string.IsNullOrEmpty(plugin.LicenseText)) {
-          using (var licenseConfirmationBox = new LicenseConfirmationDialog(plugin)) {
-            if (licenseConfirmationBox.ShowDialog(this) != DialogResult.OK)
-              return false;
-          }
-        }
-      }
-      return true;
-    }
-
-
     #endregion
 
@@ -191,14 +86,4 @@
     #endregion
 
-
-    protected override void OnClosing(CancelEventArgs e) {
-      installationManager.PluginInstalled -= new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginInstalled);
-      installationManager.PluginRemoved -= new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginRemoved);
-      installationManager.PluginUpdated -= new EventHandler<PluginInfrastructureEventArgs>(installationManager_PluginUpdated);
-      installationManager.PreInstallPlugin -= new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreInstallPlugin);
-      installationManager.PreRemovePlugin -= new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreRemovePlugin);
-      installationManager.PreUpdatePlugin -= new EventHandler<PluginInfrastructureCancelEventArgs>(installationManager_PreUpdatePlugin);
-      base.OnClosing(e);
-    }
 
     #region IStatusView Members
Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 13333)
@@ -54,7 +54,4 @@
       this.pluginImageList = new System.Windows.Forms.ImageList(this.components);
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.refreshButton = new System.Windows.Forms.Button();
-      this.removeButton = new System.Windows.Forms.Button();
-      this.updateSelectedButton = new System.Windows.Forms.Button();
       this.SuspendLayout();
       // 
@@ -86,5 +83,4 @@
       this.localPluginsListView.View = System.Windows.Forms.View.Details;
       this.localPluginsListView.ItemActivate += new System.EventHandler(this.localPluginsListView_ItemActivate);
-      this.localPluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.pluginsListView_ItemChecked);
       // 
       // nameHeader
@@ -109,56 +105,9 @@
       this.pluginImageList.TransparentColor = System.Drawing.Color.Transparent;
       // 
-      // refreshButton
-      // 
-      this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Repeat;
-      this.refreshButton.Location = new System.Drawing.Point(0, 483);
-      this.refreshButton.Name = "refreshButton";
-      this.refreshButton.Size = new System.Drawing.Size(96, 25);
-      this.refreshButton.TabIndex = 14;
-      this.refreshButton.Text = "Refresh List";
-      this.refreshButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.toolTip.SetToolTip(this.refreshButton, "Refresh List of Installed Plugins");
-      this.refreshButton.UseVisualStyleBackColor = true;
-      this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
-      // 
-      // removeButton
-      // 
-      this.removeButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.removeButton.Enabled = false;
-      this.removeButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Remove;
-      this.removeButton.Location = new System.Drawing.Point(222, 483);
-      this.removeButton.Name = "removeButton";
-      this.removeButton.Size = new System.Drawing.Size(110, 25);
-      this.removeButton.TabIndex = 12;
-      this.removeButton.Text = "Delete Selected";
-      this.removeButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.toolTip.SetToolTip(this.removeButton, "Delete all selected plugins from disk");
-      this.removeButton.UseVisualStyleBackColor = true;
-      this.removeButton.Click += new System.EventHandler(this.removeButton_Click);
-      // 
-      // updateSelectedButton
-      // 
-      this.updateSelectedButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.updateSelectedButton.Enabled = false;
-      this.updateSelectedButton.Image = global::HeuristicLab.PluginInfrastructure.Resources.Internet;
-      this.updateSelectedButton.Location = new System.Drawing.Point(102, 483);
-      this.updateSelectedButton.Name = "updateSelectedButton";
-      this.updateSelectedButton.Size = new System.Drawing.Size(114, 25);
-      this.updateSelectedButton.TabIndex = 6;
-      this.updateSelectedButton.Text = "Update Selected";
-      this.updateSelectedButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.toolTip.SetToolTip(this.updateSelectedButton, "Update all selected plugins");
-      this.updateSelectedButton.UseVisualStyleBackColor = true;
-      this.updateSelectedButton.Click += new System.EventHandler(this.updateSelectedButton_Click);
-      // 
       // LocalPluginsView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.refreshButton);
       this.Controls.Add(this.localPluginsListView);
-      this.Controls.Add(this.removeButton);
-      this.Controls.Add(this.updateSelectedButton);
       this.Name = "LocalPluginsView";
       this.Size = new System.Drawing.Size(539, 508);
@@ -169,6 +118,4 @@
     #endregion
 
-    private System.Windows.Forms.Button updateSelectedButton;
-    private System.Windows.Forms.Button removeButton;
     private MultiSelectListView localPluginsListView;
     private System.Windows.Forms.ColumnHeader nameHeader;
@@ -177,5 +124,4 @@
     private System.Windows.Forms.ToolTip toolTip;
     private System.Windows.Forms.ImageList pluginImageList;
-    private System.Windows.Forms.Button refreshButton;
     // private LocalPluginManagerView localPluginManagerView;
   }
Index: /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs
===================================================================
--- /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 13332)
+++ /branches/RefactorPluginInfrastructure-2522/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 13333)
@@ -31,6 +31,4 @@
     private const string CheckingPluginsMessage = "Checking for updated plugins...";
     private const string NoUpdatesAvailableMessage = "No updates available.";
-    private BackgroundWorker removePluginsBackgroundWorker;
-    private BackgroundWorker updatePluginsBackgroundWorker;
 
     private ListViewGroup enabledPluginsGroup;
@@ -46,9 +44,9 @@
     }
 
-    private InstallationManager installationManager;
-    public InstallationManager InstallationManager {
-      get { return installationManager; }
-      set { installationManager = value; }
-    }
+    // private InstallationManager installationManager;
+    // public InstallationManager InstallationManager {
+    //   get { return installationManager; }
+    //   set { installationManager = value; }
+    // }
 
     public InstalledPluginsView()
@@ -58,68 +56,9 @@
       disabledPluginsGroup = localPluginsListView.Groups["disabledPluginsGroup"];
       pluginImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.Plugin);
-      removePluginsBackgroundWorker = new BackgroundWorker();
-      removePluginsBackgroundWorker.DoWork += new DoWorkEventHandler(removePluginsBackgroundWorker_DoWork);
-      removePluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(removePluginsBackgroundWorker_RunWorkerCompleted);
-      updatePluginsBackgroundWorker = new BackgroundWorker();
-      updatePluginsBackgroundWorker.DoWork += new DoWorkEventHandler(updatePluginsBackgroundWorker_DoWork);
-      updatePluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(updatePluginsBackgroundWorker_RunWorkerCompleted);
-
       UpdateControl();
     }
 
 
-
-    #region event handlers for plugin removal background worker
-    void removePluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        StatusView.ShowError("File Deletion Error", "There was problem while deleting files." + Environment.NewLine + e.Error.Message);
-      }
-      UpdateControl();
-      StatusView.HideProgressIndicator();
-      StatusView.UnlockUI();
-    }
-
-    void removePluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      IEnumerable<IPluginDescription> pluginsToRemove = (IEnumerable<IPluginDescription>)e.Argument;
-      if (pluginsToRemove.Count() > 0) {
-        installationManager.Remove(pluginsToRemove);
-        pluginManager.DiscoverAndCheckPlugins();
-      }
-    }
-    #endregion
-
     #region event handlers for update plugins backgroundworker
-    void updatePluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        StatusView.ShowError("Connection Error",
-          "There was an error while connecting to the server." + Environment.NewLine +
-           "Please check your connection settings and user credentials.");
-      }
-      StatusView.RemoveMessage(CheckingPluginsMessage);
-      StatusView.HideProgressIndicator();
-      UpdateControl();
-      StatusView.UnlockUI();
-    }
-
-    void updatePluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      IEnumerable<IPluginDescription> selectedPlugins = (IEnumerable<IPluginDescription>)e.Argument;
-      var remotePlugins = installationManager.GetRemotePluginList();
-      // if there is a local plugin with same name and same major and minor version then it's an update
-      var pluginsToUpdate = from remotePlugin in remotePlugins
-                            let matchingLocalPlugins = from installedPlugin in selectedPlugins
-                                                       where installedPlugin.Name == remotePlugin.Name
-                                                       where installedPlugin.Version.Major == remotePlugin.Version.Major
-                                                       where installedPlugin.Version.Minor == remotePlugin.Version.Minor
-                                                       where IsNewerThan(remotePlugin, installedPlugin)
-                                                       select installedPlugin
-                            where matchingLocalPlugins.Count() > 0
-                            select remotePlugin;
-      if (pluginsToUpdate.Count() > 0) {
-        bool cancelled;
-        installationManager.Update(pluginsToUpdate, out cancelled);
-        if (!cancelled) pluginManager.DiscoverAndCheckPlugins();
-      }
-    }
-
     // compares for two plugins with same major and minor version if plugin1 is newer than plugin2
     private static bool IsNewerThan(IPluginDescription plugin1, IPluginDescription plugin2) {
@@ -145,6 +84,4 @@
         localPluginsListView.SuppressItemCheckedEvents = false;
       }
-      removeButton.Enabled = localPluginsListView.CheckedItems.Count > 0;
-      updateSelectedButton.Enabled = localPluginsListView.CheckedItems.Count > 0;
       Util.ResizeColumns(localPluginsListView.Columns.OfType<ColumnHeader>());
     }
@@ -162,40 +99,4 @@
     }
 
-    private void pluginsListView_ItemChecked(object sender, ItemCheckedEventArgs e) {
-      // checked items are marked for removal
-      if (e.Item.Checked) {
-        List<ListViewItem> modifiedItems = new List<ListViewItem>();
-        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
-          modifiedItems.Add(item);
-          int oldItemsCount = 0;
-          while (oldItemsCount < modifiedItems.Count) {
-            oldItemsCount = modifiedItems.Count;
-            var oldModifiedItems = new List<ListViewItem>(modifiedItems);
-            foreach (var modifiedItem in oldModifiedItems) {
-              var plugin = (IPluginDescription)modifiedItem.Tag;
-              // also check all dependent plugins
-              foreach (ListViewItem dependentItem in localPluginsListView.Items) {
-                var dependent = (IPluginDescription)dependentItem.Tag;
-                if (!modifiedItems.Contains(dependentItem) &&
-                  !dependentItem.Checked && (from dep in dependent.Dependencies
-                                             where dep.Name == plugin.Name
-                                             where dep.Version == plugin.Version
-                                             select dep).Any()) {
-                  modifiedItems.Add(dependentItem);
-                }
-              }
-            }
-          }
-        }
-        localPluginsListView.CheckItems(modifiedItems);
-      } else {
-        List<ListViewItem> modifiedItems = new List<ListViewItem>();
-        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
-          modifiedItems.Add(item);
-        }
-        localPluginsListView.UncheckItems(modifiedItems);
-      }
-      OnItemsCheckedChanged(EventArgs.Empty);
-    }
 
     private void localPluginsListView_ItemActivate(object sender, EventArgs e) {
@@ -206,38 +107,4 @@
       }
     }
-
-    private void OnItemsCheckedChanged(EventArgs eventArgs) {
-      removeButton.Enabled = localPluginsListView.CheckedItems.Count > 0;
-      updateSelectedButton.Enabled = localPluginsListView.CheckedItems.Count > 0;
-    }
-
-    private void updateSelectedButton_Click(object sender, EventArgs e) {
-      StatusView.LockUI();
-      StatusView.ShowProgressIndicator();
-      StatusView.RemoveMessage(NoUpdatesAvailableMessage);
-      StatusView.ShowMessage(CheckingPluginsMessage);
-      var checkedPlugins = localPluginsListView.CheckedItems.OfType<ListViewItem>()
-        .Select(item => item.Tag)
-        .OfType<IPluginDescription>()
-        .ToList();
-      updatePluginsBackgroundWorker.RunWorkerAsync(checkedPlugins);
-    }
-
-    private void removeButton_Click(object sender, EventArgs e) {
-      StatusView.LockUI();
-      StatusView.ShowProgressIndicator();
-      var checkedPlugins = localPluginsListView.CheckedItems.OfType<ListViewItem>()
-        .Select(item => item.Tag)
-        .OfType<IPluginDescription>()
-        .ToList();
-      removePluginsBackgroundWorker.RunWorkerAsync(checkedPlugins);
-    }
-
-    private void refreshButton_Click(object sender, EventArgs e) {
-      StatusView.LockUI();
-      StatusView.ShowProgressIndicator();
-      // refresh = update empty list of plugins (plugins are reloaded)
-      updatePluginsBackgroundWorker.RunWorkerAsync(new IPluginDescription[0]);
-    }
   }
 }
